package com.inkasso.factoring.financingmanagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.adapter.bean.BaseBean;

/**
 * <p>
 * 个人电子签信息表
 * </p>
 *
 * @author liutao
 * @since 2022-07-09
 */
@TableName("electronic_person_info")
public class ElectronicPersonInfo extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**
     * 用户名
     */
    @TableField("name")
    private String name;

    /**
     * 身份证号
     */
    @TableField("socialCreditCode")
    private String socialCreditCode;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 电子邮箱
     */
    @TableField("email")
    private String email;

    @TableField("card_type")
    private String cardTypeId;

    /**
     * 证照正面id
     */
    @TableField("card_front_file_storage_id")
    private Long cardFrontFileStorageId;

    /**
     * 证照反面id
     */
    @TableField("card_reverse_file_storage_id")
    private Long cardReverseFileStorageId;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getCardTypeId() {
        return cardTypeId;
    }

    public void setCardTypeId(String cardTypeId) {
        this.cardTypeId = cardTypeId;
    }

    public Long getCardFrontFileStorageId() {
        return cardFrontFileStorageId;
    }

    public void setCardFrontFileStorageId(Long cardFrontFileStorageId) {
        this.cardFrontFileStorageId = cardFrontFileStorageId;
    }

    public Long getCardReverseFileStorageId() {
        return cardReverseFileStorageId;
    }

    public void setCardReverseFileStorageId(Long cardReverseFileStorageId) {
        this.cardReverseFileStorageId = cardReverseFileStorageId;
    }
}
